import * as selectors from '../redux/selectors';

export const shouldShowEmpty = (state) => {
  const data = selectors.dataSelector(state);
  const page = selectors.pageSelector(state);
  const isLoading = selectors.isLoadingSelector(state);

  return !isLoading && Array.isArray(data) && !data.length && page === 1;
};

export default {};
